Subject: [quicwg/base-drafts] df5825: Proposed change: MUST mark inflight data as lost

From: janaiyengar <[email-masked]>
Date: Wed, 19 Dec 2018 17:25:03 -0800

Branch: refs/heads/janaiyengar-patch-2
  Home:   https://github.com/quicwg/base-drafts
  Commit: df582552db8b1f791861367046ff6e50d66c4bc4
      https://github.com/quicwg/base-drafts/commit/df582552db8b1f791861367046ff6e50d66c4bc4
  Author: janaiyengar <[email-masked]>
  Date:   2018-12-19 (Wed, 19 Dec 2018)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Proposed change: MUST mark inflight data as lost

A proposal: I think I prefer to mark things as lost instead of suggesting that a sender SHOULD send something when there's really nothing to be sent.  I was starting to rephrase your PR to say "SHOULD send ack-eliciting packet, but MAY mark as lost", and I needed to explain how a sender makes this choice. I realized that if it's been long enough (PTO is long enough) and there's nothing left to send, then maybe it is sensible to mark anything pending as lost. So, I changed my suggestion to that, which is this PR (against your PR).

      **NOTE:** This service has been marked for deprecation: https://developer.github.com/changes/2018-04-25-github-services-deprecation/

      Functionality will be removed from GitHub.com on January 31st, 2019.